dnl Copyright (C) 2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN([OST_LIB_NOXML],[
	ost_cv_xml_config=false
	XML_LIBS=""
	XML_FLAGS=""
	AC_SUBST(XML_LIBS)
	AC_SUBST(XML_FLAGS)
])

AC_DEFUN([OST_LIB_XML],[
	AC_PATH_PROG(XML2_CONFIG,xml2-config,no)
	XML_LIBS=""
	XML_FLAGS=""
	xmlver="0";
	if test "$XML2_CONFIG" = "no" ; then
		AC_PATH_PROG(XML_CONFIG,xml-config,no)
	else
		XML_CONFIG=$XML2_CONFIG
	fi
	AC_MSG_CHECKING(for valid libxml2)
	if test "$XML_CONFIG" != "no" ; then
		xmlver=`$XML_CONFIG --version`
		xmlver=`echo $xmlver | \
			sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
	fi
	if test "$xmlver" -gt 1	; then	
		AC_MSG_RESULT(yes)
		AC_DEFINE(HAVE_LIBXML, [1], [uses libxml2])
		ost_cv_xml_libs=libxml
		ost_cv_xml_config=true
		XML_LIBS=`$XML_CONFIG --libs`
		XML_FLAGS=`$XML_CONFIG --cflags`
	else
		ost_cv_xml_config=false
		AC_MSG_RESULT(no)
	fi
	AC_SUBST(XML_LIBS)
	AC_SUBST(XML_FLAGS)
])


